Articles
One document with its steps.
apiKeyx-api-key<token>Workspace API key from Settings > API keys. Also accepted as Authorization: Bearer gsk_...
brandId*stringuuiddocumentId*stringuuidThe document
application/jsonid*stringuuidkind*string"create""refresh"status*string"planned""skipped""generating""needs_review""approved""published""failed"contentType*string"article""blog_post""listicle""how_to""comparison""alternatives""faq_hub""case_study"length*string"short""medium""long"refreshLevel*|"conservative""balanced""full"nulltitle*string|nulltopic*stringpromptId*|uuidsourceUrl*string|nullpublishedUrl*string|nullerror*string|nullcreatedAt*stringupdatedAt*stringslug*string|nullmetaTitle*string|nullmetaDescription*string|nullmarkdown*string|nulloriginalMarkdown*string|nullbrief*|nullschemaJson*|nullfindings*array<>settings*costUsd*string|nullsteps*array<>curl -X GET 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/documents/497f6eca-6276-4993-bfeb-53cbbbba6f08'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "kind": "create", "status": "planned", "contentType": "article", "length": "short", "refreshLevel": "conservative", "title": "string", "topic": "string", "promptId": "b5415d63-4390-40ec-8c2b-33a2db2f5c67", "sourceUrl": "string", "publishedUrl": "string", "error": "string", "createdAt": "string", "updatedAt": "string", "slug": "string", "metaTitle": "string", "metaDescription": "string", "markdown": "string", "originalMarkdown": "string", "brief": { "property1": null, "property2": null }, "schemaJson": { "property1": null, "property2": null }, "findings": [ { "kind": "string", "text": "string", "hint": "string" } ], "settings": { "keyPoints": [ "string" ], "blockedWords": [ "string" ], "references": [ "string" ] }, "costUsd": "string", "steps": [ { "position": 0, "step": "string", "label": "string", "status": "running", "detail": "string", "startedAt": "string", "finishedAt": "string" } ]}curl -X GET 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/documents/497f6eca-6276-4993-bfeb-53cbbbba6f08'{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"kind": "create",
"status": "planned",
"contentType": "article",
"length": "short",
"refreshLevel": "conservative",
"title": "string",
"topic": "string",
"promptId": "b5415d63-4390-40ec-8c2b-33a2db2f5c67",
"sourceUrl": "string",
"publishedUrl": "string",
"error": "string",
"createdAt": "string",
"updatedAt": "string",
"slug": "string",
"metaTitle": "string",
"metaDescription": "string",
"markdown": "string",
"originalMarkdown": "string",
"brief": {
"property1": null,
"property2": null
},
"schemaJson": {
"property1": null,
"property2": null
},
"findings": [
{
"kind": "string",
"text": "string",
"hint": "string"
}
],
"settings": {
"keyPoints": [
"string"
],
"blockedWords": [
"string"
],
"references": [
"string"
]
},
"costUsd": "string",
"steps": [
{
"position": 0,
"step": "string",
"label": "string",
"status": "running",
"detail": "string",
"startedAt": "string",
"finishedAt": "string"
}
]
}